Upcoming
curl --request GET \
--url https://api.themoviedb.org/3/movie/upcoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/upcoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/upcoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dates": {
"maximum": "2025-02-19",
"minimum": "2025-01-29"
},
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/5PxK2PeDdUaq0557CuBt57WNIKC.jpg",
"genre_ids": [
35,
27
],
"id": 1310558,
"original_language": "he",
"original_title": "השותף",
"overview": "Dooby (a vampire) and Micha (a werewolf) are roommates and live in a small apartment with a great legacy. One day, they find out about the concept of bills, and for the first time ever, decide to add a human roommate. Since then, things only get crazier.",
"popularity": 0.405,
"poster_path": "/t7N26CMuATjHN5VHQ32XjRaOSZt.jpg",
"release_date": "2025-02-05",
"title": "PayDay",
"video": false,
"vote_average": 0,
"vote_count": 0
}
],
"total_pages": 1,
"total_results": 1
}Upcoming
This endpoint get upcoming movies with a specific language, page, and region.
GET
/
3
/
movie
/
upcoming
Upcoming
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ISO-3166-1 code
Example:
"NG"
Response
200 - application/json
Upcoming
Show child attributes
Show child attributes
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/5PxK2PeDdUaq0557CuBt57WNIKC.jpg",
"genre_ids": [35, 27],
"id": 1310558,
"original_language": "he",
"original_title": "השותף",
"overview": "Dooby (a vampire) and Micha (a werewolf) are roommates and live in a small apartment with a great legacy. One day, they find out about the concept of bills, and for the first time ever, decide to add a human roommate. Since then, things only get crazier.",
"popularity": 0.405,
"poster_path": "/t7N26CMuATjHN5VHQ32XjRaOSZt.jpg",
"release_date": "2025-02-05",
"title": "PayDay",
"video": false,
"vote_average": 0,
"vote_count": 0
}
]
Example:
1
Example:
1
⌘I